## symfony 7.3.4+dfsg

=== debian/changelog ===
symfony (7.3.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.4

 -- David Prévot <taffit@debian.org>  Mon, 29 Sep 2025 23:55:14 +0200
