## symfony 7.3.5

=== debian/changelog ===
symfony (7.3.5-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.5

 -- David Prévot <taffit@debian.org>  Wed, 29 Oct 2025 08:10:51 +0100
