## symfony 7.4.0~beta1

=== debian/changelog ===
symfony (7.4.0~beta1-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update CHANGELOG for 7.4.0-BETA1
  * Update VERSION for 7.4.0-BETA1

  [ Christian Flothmann ]
  * use PHPUnit 12.4

  [ David Prévot ]
  * Update homemade autoload.php templates
  * Add new bridges:
    - php-symfony-amazon-dynamo-db-lock
    - php-symfony-microsoft-graph-mailer
  * Update Homepage URLs
  * debian/control: Document nocheck flags
  * Use SYMFONY_DEPRECATIONS_HELPER=disabled again

 -- David Prévot <taffit@debian.org>  Wed, 29 Oct 2025 19:30:06 +0100
