=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,8 @@
 	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
 	   echo "pkg_path='$$pkg_path'" >> debian/packages_to_build/$$deb_pkg_name; \
 	   echo "symfony $${deb_pkg_name#php-symfony-} Symfony/$$pkg_path/autoload.php" > debian/autoloaders/$$deb_pkg_name; \
-	   if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
+	   if [ \( $$deb_pkg_name = php-symfony-lock \) -o \
+		\( $$deb_pkg_name = php-symfony-mailer \) -o \
 		\( $$deb_pkg_name = php-symfony-messenger \) -o \
 		\( $$deb_pkg_name = php-symfony-notifier \) -o \
 		\( $$deb_pkg_name = php-symfony-translation \) ] ; then \
@@ -134,7 +135,7 @@
 	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
 	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include-path build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 --exclude-group nophpunit12 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=disabled php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include-path build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 --exclude-group nophpunit12 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
 	dh_phpcomposer --package=php-symfony --sourcedirectory=./
