=== debian/changelog ===
symfony (7.4.0~beta2+dfsg-3) unstable; urgency=medium

  * php-symfony-translation conflicts with php-nesbot-carbon (<< 3)

 -- David Prévot <taffit@debian.org>  Tue, 11 Nov 2025 20:06:07 +0100

symfony (7.4.0~beta2+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * [PHPUnit] Fix expected output
  * Restore architecture specific patch

 -- David Prévot <taffit@debian.org>  Mon, 03 Nov 2025 18:31:27 +0100

symfony (7.4.0~beta2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0-BETA2

  [ David Prévot ]
  * Fix homemade autoload for php-symfony-http-foundation
  * Exclude Symfony/Bundle/FrameworkBundle/Tests/Fixtures/reference.php
    from homemade autoload

 -- David Prévot <taffit@debian.org>  Mon, 03 Nov 2025 08:04:28 +0100

symfony (7.4.0~beta1-2) experimental; urgency=medium

  * Relax php-pda-pheanstalk version dependency
  * Update autoload path for recent bridges
  * Drop references to nophpunit1{1,2}
  * Track version 7 (for forky)
  * Ship php-async-aws-dynamo-db currently in NEW processing
  * Enable back more tests

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 19:02:00 +0100
