=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                      parallel,
                      php-amqp <!nocheck>,
                      php-apcu <!nocheck>,
-                     php-async-aws-dynamo-db <!nocheck>,
                      php-async-aws-ses <!nocheck>,
                      php-async-aws-sns <!nocheck>,
                      php-async-aws-sqs <!nocheck>,
@@ -67,7 +66,7 @@
                      phpunit <!nocheck>
 Homepage: https://symfony.com/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
-Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git -b debian/7
 
 Package: php-symfony
 Architecture: all
@@ -262,3 +261,6 @@
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/components/Emoji
 Description: provide emoji characters and sequences
+ The Symfony ErrorHandler Component provides access to emoji characters and
+ sequences from the Unicode CLDR.
+ .
