=== debian/tests/control ===
Tests: phpunit
Restrictions: allow-stderr, rw-build-tree
Depends: composer,
         locales-all,
         parallel,
         patch,
         php-amqp,
         php-apcu,
         php-async-aws-sqs,
         php-cache-integration-tests,
         php-curl,
         php-dba,
         php-doctrine-data-fixtures,
         php-doctrine-orm,
         php-dragonmantank-cron-expression,
         php-email-validator,
         php-gd,
         php-guzzlehttp-promises,
         php-http-httplug,
         php-league-html-to-markdown,
         php-masterminds-html5,
         php-memcached,
         php-nyholm-psr7,
         php-pgsql,
         php-phpdocumentor-reflection-docblock,
         php-phpstan-phpdoc-parser,
         php-predis,
         php-psr-http-client,
         php-psr-simple-cache,
         php-redis,
         php-sqlite3,
         php-symfony-mercure-bundle,
         php-symfony-security-acl,
         php-symfony-webpack-encore-bundle,
         php-twig-cssinliner-extra,
         php-twig-inky-extra,
         php-twig-markdown-extra,
         php-zstd,
         phpab,
         phpunit,
         @
