## symfony 7.4.0~rc1+dfsg

=== debian/changelog ===
symfony (7.4.0~rc1+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0-RC1

  [ Christian Flothmann ]
  * re-allow ext-redis 6.1
  * compatibility with ext-redis 6.3

  [ Nicolas Grekas ]
  * [HttpFoundation] Fix parsing pathinfo with no leading slash
    [CVE-2025-64500]

 -- David Prévot <taffit@debian.org>  Fri, 14 Nov 2025 04:28:14 +0100
