## symfony 7.4.0~rc2+dfsg

=== debian/changelog ===
symfony (7.4.0~rc2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0-RC2

  [ David Prévot ]
  * php-symfony-emoji: Fix description.
    Thanks to Daniele Forsi (Closes: #1120819)

 -- David Prévot <taffit@debian.org>  Tue, 18 Nov 2025 07:59:23 +0100
