## symfony 7.4.0~rc3+dfsg

=== debian/changelog ===
symfony (7.4.0~rc3+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0-RC3

  [ David Prévot ]
  * Drop parallelism for autopkgtest (Closes: #1120583)
  * Extend debian/clean

 -- David Prévot <taffit@debian.org>  Thu, 27 Nov 2025 08:19:24 +0100
