## symfony 7.4.0+dfsg

=== debian/changelog ===
symfony (7.4.0+dfsg-2) unstable; urgency=medium

  * Sum up exit codes in autopkgtest
  * Keep only the last non null exit code
  * Set Multi-Arch: foreign for php-symfony-type-info

 -- David Prévot <taffit@debian.org>  Sat, 29 Nov 2025 09:07:13 +0100

symfony (7.4.0+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0

  [ David Prévot ]
  * Try and get autopkgtest exit code working

 -- David Prévot <taffit@debian.org>  Fri, 28 Nov 2025 08:20:37 +0100
