=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Restrictions: allow-stderr, rw-build-tree
 Depends: composer,
          locales-all,
-         parallel,
          patch,
          php-amqp,
          php-apcu,
