## symfony 7.4.2%2Bdfsg

=== debian/changelog ===
symfony (7.4.2+dfsg-2) unstable; urgency=medium

  * Drop another test currently failing on debci

 -- David Prévot <taffit@debian.org>  Fri, 12 Dec 2025 08:18:30 +0100

symfony (7.4.2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.2

  [ Hugo Alliaume ]
  * [Notifier][Mercure] Add support for Mercure 0.7

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2025 08:44:33 +0100
