## symfony 7.4.3+dfsg

=== debian/changelog ===
symfony (7.4.3+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.3

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3
  * Update homemade autoload.php template

 -- David Prévot <taffit@debian.org>  Wed, 31 Dec 2025 10:59:02 +0100
