## symfony 7.4.4+dfsg

=== debian/changelog ===
symfony (7.4.4+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.4

  [ David Prévot ]
  * Restore autoload template building

 -- David Prévot <taffit@debian.org>  Sun, 25 Jan 2026 12:04:11 +0100
