## symfony 7.4.5%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
UPSTREAM := $(DEB_VERSION_UPSTREAM)
export DEB_BUILD_OPTIONS=nocheck
%:
	dh $@

override_dh_auto_build:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Check if licenses of all images are properly covered in d/copyright
	./debian/licensing/bin/check_image_licenses --check
else
	@echo "** image license check disabled"
endif
	phpabtpl \
		--require symfony/contracts \
		--require symfony/asset \
		--require symfony/asset-mapper \
		--require symfony/browser-kit \
		--require symfony/console \
		--require symfony/css-selector \
		--require symfony/debug-bundle \
		--require symfony/doctrine-bridge \
		--require symfony/dotenv \
		--require symfony/emoji \
		--require symfony/expression-language \
		--require symfony/form \
		--require symfony/html-sanitizer \
		--require symfony/http-client \
		--require symfony/intl \
		--require symfony/json-path \
		--require symfony/json-streamer \
		--require symfony/ldap \
		--require symfony/lock \
		--require symfony/object-mapper \
		--require symfony/mailer \
		--require symfony/messenger \
		--require symfony/monolog-bridge \
		--require symfony/notifier \
		--require symfony/process \
		--require symfony/property-info \
		--require symfony/rate-limiter \
		--require symfony/scheduler \
		--require symfony/security-bundle \
		--require symfony/semaphore \
		--require symfony/serializer \
		--require symfony/string \
		--require symfony/stopwatch \
		--require symfony/twig-bundle \
		--require symfony/uid \
		--require symfony/validator \
		--require symfony/webhook \
		--require symfony/web-link \
		--require symfony/web-profiler-bundle \
		--require symfony/workflow \
		--require symfony/yaml \
		> debian/autoload.php.tpl
	sed -i "s#'/usr/share/php/Symfony#__DIR__ . '#" debian/autoload.php.tpl
	phpab \
		--template debian/autoload.php.tpl \
		--output src/Symfony/autoload.php \
		src/Symfony/Bundle/FullStack.php
	mkdir --parents debian/packages_to_build debian/autoloaders
	# Walk through the parts of upstream's code that should be packaged into
	# separate Debian binary packages and write down a package-to-build info
	# file containing shell variables for each package.
	# Those files will be traverse later on in different targets of this
	# makefile (debian/rules). They solely exists to not repeat the extraction
	# of those variables in each of those target over and over again.
	# Then, build a class loader for the package, using the template in
	# debian/$deb_pkg_name.autoload.php.tpl if it exists (to load dependencies).
	set -e;\
	 for src_path in $$(find src/Symfony/ -mindepth 2 -maxdepth 4 -type d); do \
	  if [ -e $$src_path/composer.json ]; then \
	   pkg_path=$${src_path#src/Symfony/}; \
	   deb_pkg_name=php-$$(cat $$src_path/composer.json | jq -r '.name | tostring' | sed -r 's|/|-|'); \
	   if [ $$(grep -c -E -e "^Package: $$deb_pkg_name\$$" debian/control) -ne 1 ]; then \
	    echo "W: No Debian package '$$deb_pkg_name' defined in debian/control," 1>&2; \
	    echo "   therefor not considering Symfony $$pkg_path," 1>&2; \
	    continue; \
	   fi; \
	   echo "# This file contains some variables sourced" > debian/packages_to_build/$$deb_pkg_name; \
	   echo "# by various targets in debian/rules" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "deb_pkg_name='$$deb_pkg_name'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "pkg_path='$$pkg_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "symfony $${deb_pkg_name#php-symfony-} Symfony/$$pkg_path/autoload.php" > debian/autoloaders/$$deb_pkg_name; \
	   if [ $$deb_pkg_name = php-symfony-phpunit-bridge ] ; then \
	    phpabtpl \
	        --basedir src/Symfony/Bridge/PhpUnit \
	        --require phpunit/phpunit \
	        src/Symfony/Bridge/PhpUnit/composer.json \
	        > debian/php-symfony-phpunit-bridge.autoload.php.tpl; \
	    sed -i "s#'/usr/share/php#__DIR__ . '/../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	   else \
	    phpabtpl --basedir $$src_path $$src_path/composer.json > debian/$$deb_pkg_name.autoload.php.tpl; \
	   fi; \
	   if [ \( $$deb_pkg_name != php-symfony-lock \) -a \( $$deb_pkg_name != $${deb_pkg_name%-lock} \) -o \
		\( $$deb_pkg_name != php-symfony-mailer \) -a \( $$deb_pkg_name != $${deb_pkg_name%-mailer} \) -o \
		\( $$deb_pkg_name != php-symfony-messenger \) -a \( $$deb_pkg_name != $${deb_pkg_name%-messenger} \) -o \
		\( $$deb_pkg_name != php-symfony-notifier \) -a \( $$deb_pkg_name != $${deb_pkg_name%-notifier} \) -o \
		\( $$deb_pkg_name != php-symfony-translation \) -a \( $$deb_pkg_name != $${deb_pkg_name%-translation-provider} \) ] ; then \
	    sed -i "s#'/usr/share/php/Symfony#__DIR__ . '/../../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	    sed -i "s#'/usr/share/php#__DIR__ . '/../../../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	   elif [ \( $$deb_pkg_name != php-symfony-security-bundle \) -a \( $$deb_pkg_name != $${deb_pkg_name#php-symfony-security} \) ] ; then \
	    sed -i "s#'/usr/share/php/Symfony#__DIR__ . '/../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	    sed -i "s#'/usr/share/php#__DIR__ . '/../../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	   else \
	    sed -i "s#'/usr/share/php/Symfony#__DIR__ . '/../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	    sed -i "s#'/usr/share/php#__DIR__ . '/../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	   fi; \
	   if [ \( $$deb_pkg_name = php-symfony-lock \) -o \
		\( $$deb_pkg_name = php-symfony-mailer \) -o \
		\( $$deb_pkg_name = php-symfony-messenger \) -o \
		\( $$deb_pkg_name = php-symfony-notifier \) -o \
		\( $$deb_pkg_name = php-symfony-translation \) ] ; then \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist '*\\bridge\\*' \
		--exclude 'src/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
		--whitelist 'symfony\\*' \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   else \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist 'symfony\\config\\*' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/ArgumentResolver/EntityValueResolverTest.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEmbed.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/EmbeddedIdentifierEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
		--exclude 'src/Symfony/Bundle/FrameworkBundle/Tests/Fixtures/reference.php' \
		--exclude 'src/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
		--exclude 'src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
		--exclude 'src/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
		--exclude 'src/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
		--whitelist 'symfony\\*' \
		--tolerant \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   fi; \
	  fi; \
	 done

override_dh_auto_test:
	mkdir --parents vendor build
	cp -r src/Symfony build
	sed -i "s/@VERSION@/$(UPSTREAM)/;s/\+dfsg//" \
		$(CURDIR)/build/Symfony/Bundle/DebugBundle/DependencyInjection/Configuration.php \
		$(CURDIR)/build/Symfony/Bundle/FrameworkBundle/DependencyInjection/Configuration.php \
		$(CURDIR)/build/Symfony/Bundle/SecurityBundle/DependencyInjection/MainConfiguration.php \
		$(CURDIR)/build/Symfony/Bundle/TwigBundle/DependencyInjection/Configuration.php \
		$(CURDIR)/build/Symfony/Bundle/WebProfilerBundle/DependencyInjection/Configuration.php
	rm -r build/Symfony/Contracts
	cp debian/autoload_runtime.php vendor
	phpab	--output vendor/autoload.php \
		--whitelist '*\\tests\\*' \
		--tolerant \
		--template debian/autoload.php.tests.tpl \
