## symfony 7.4.5+dfsg

=== debian/changelog ===
symfony (7.4.5+dfsg-1ubuntu1) resolute; urgency=medium

  * Ignore license checks for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Feb 2026 10:48:43 +0100

symfony (7.4.5+dfsg-1build6) resolute; urgency=medium

  * Back in sync with Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Feb 2026 10:23:54 +0100

symfony (7.4.5+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.5

  [ Nicolas Grekas ]
  * [Process] Fix escaping for MSYS on Windows [CVE-2026-24739]
  * [PropertyInfo] Conflict with phpdocumentor/reflection-docblock >= 6

 -- David Prévot <taffit@debian.org>  Thu, 29 Jan 2026 06:39:41 +0100
