=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 include /usr/share/dpkg/default.mk
 UPSTREAM := $(DEB_VERSION_UPSTREAM)
-export DEB_BUILD_OPTIONS=nocheck
+
 %:
 	dh $@
 
 override_dh_auto_build:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# Check if licenses of all images are properly covered in d/copyright
-	./debian/licensing/bin/check_image_licenses --check
+	#./debian/licensing/bin/check_image_licenses --check
 else
 	@echo "** image license check disabled"
 endif
