## symfony 7.4.6+dfsg

=== debian/changelog ===
symfony (7.4.6+dfsg-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore license checks for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2026 18:55:30 +0100

symfony (7.4.6+dfsg-2) unstable; urgency=medium

  * [Validator] Skip failing test on i386

 -- David Prévot <taffit@debian.org>  Sat, 28 Feb 2026 09:13:10 +0100

symfony (7.4.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.6

  [ Mathias Arlaud ]
  * [PropertyInfo] fix compatibility with phpdocumentor/reflection-docblock 6.x

  [ Christian Flothmann ]
  * use PHPUnit 13 on PHP 8.4+

  [ llupa ]
  * [Intl] Update data to ICU 78.2

  [ David Prévot ]
  * Revert "Ship php-async-aws-dynamo-db currently in NEW processing"

 -- David Prévot <taffit@debian.org>  Fri, 27 Feb 2026 08:43:05 +0100
